extends layout

block content
  h1.title.is-2.has-text-white= title
  h2.title.is-4.has-text-white= subtitle

  .box
    nav.pagination(role="navigation", aria-label="pagination")
      - currentPage = parseInt(page, 10)
      - previousPage = currentPage - 1
      - disabledPreviousPage = currentPage === 1
      - nextPage = currentPage + 1
      - disabledNextPage = pages <= currentPage
      a.pagination-previous(
        href="/?page=" + previousPage,
        disabled=disabledPreviousPage
      ) Previous
      a.pagination-next(
        href="/?page=" + nextPage,
        disabled=disabledNextPage
      ) Next page
    table.table
      thead
        th ID
        th Title
        th Artist
        th Label
        th UOC
        th Genre
        th UserID
        th Status
        th Country
      tfoot
        th id
        th title
        th artist
        th label
        th upc
        th genre
        th userId
        th status
        th country
      tbody
        each album in albums
          tr
            td= album.id
            td= album.title
            td= album.artist
            td= album.label
            td= album.upc
            td= album.genre
            td= album.userId
            td= album.status
            td= album.country
    nav.pagination(role="navigation", aria-label="pagination")
      - currentPage = parseInt(page, 10)
      - previousPage = currentPage - 1
      - disabledPreviousPage = currentPage === 1
      - nextPage = currentPage + 1
      - disabledNextPage = pages <= currentPage
      a.pagination-previous(
        href="/?page=" + previousPage,
        disabled=disabledPreviousPage
      ) Previous
      a.pagination-next(
        href="/?page=" + nextPage,
        disabled=disabledNextPage
      ) Next page
